services:
    navidrome:
        container_name: navidrome
        image: deluan/navidrome:latest
        labels:
            traefik.docker.network: traefik
            traefik.enable: true
            traefik.http.routers.navidrome.entrypoints: websecure
            traefik.http.routers.navidrome.rule: Host(`navidrome.alexlebens.net`)
            traefik.http.routers.navidrome.service: navidrome
            traefik.http.services.navidrome.loadbalancer.server.port: 4533
        logging:
            driver: json-file
            options:
                max-size: 50m
                max-file: "3"
        networks:
            traefik: null
        privileged: true
        restart: always
        volumes:
            - data:/data
            - storage_nfs:/music:ro

networks:
    traefik:
        name: traefik
        external: true

volumes:
    data:
        driver: local
        driver_opts:
            type: none
            o: bind
            device: /var/lib/docker/volumes/partition/navidrome_data

#    storage:
#        driver: local
#        driver_opts:
#            type: cifs
#            o: username=aurailious,password=24wrsfxv@$$WRSFXV,file_mode=0777,dir_mode=0777
#            device: "//192.168.1.194/Storage"

    storage_nfs:
        driver: local
        driver_opts:
            type: nfs
            o: addr=192.168.1.194,nfsvers=4
            device: :/volume2/Storage/Music
